petsc-3.4.2 2013-07-02

# PetscSectionAddFieldConstraintDof

Increment the number of constrained degrees of freedom associated with a given field on a point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionAddFieldConstraintDof(PetscSection s, PetscInt point, PetscInt field, PetscInt numDof)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| field | - the field
| numDof | - the number of additional dof which are fixed by constraints

### See Also

PetscSectionAddDof(), PetscSectionGetFieldConstraintDof(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages